/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package cz.martinstainer.iperf;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

public class IPerfExecuter extends Thread {

    public InputStream inputStream = null;

    public void run() {
        Runtime runtime = Runtime.getRuntime();

        try {
            Process proc1 = runtime.exec("ping 10.0.0.138");
            InputStream errorStream = proc1.getErrorStream();
            inputStream = proc1.getInputStream();
            try {
                proc1.waitFor();
            } catch (InterruptedException e) {

            }
            int returnCode = proc1.exitValue();

        } catch (IOException exception) {
            exception.printStackTrace();
        }

        String crunchifyString = null;
        try {

            // Reads text from a character-input stream, buffering characters so as to provide for the efficient reading of characters, arrays, and lines.
            BufferedReader br = new BufferedReader(new InputStreamReader(inputStream));
            while ((crunchifyString = br.readLine()) != null) {
                System.out.println(crunchifyString);
            }
        } catch (IOException ioException) {
            ioException.printStackTrace();
        }

    }

}
